.TH et 3 "et  1.3.2" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
et \- Main API of the Event Trace (ET) application
.SH DESCRIPTION
.LP
Interface module for the Event Trace (ET) application

.SH EXPORTS
.LP
.B
report_event(DetailLevel, FromTo, Label, Contents) -> hopefully_traced
.br
.B
report_event(DetailLevel, From, To, Label, Contents) -> hopefully_traced
.br
.B
phone_home(DetailLevel, FromTo, Label, Contents) -> hopefully_traced
.br
.B
phone_home(DetailLevel, From, To, Label, Contents) -> hopefully_traced
.br
.RS
.TP
Types
DetailLevel = integer(X) when X =< 0, X >= 100
.br
From = actor()
.br
To = actor()
.br
FromTo = actor()
.br
Label = atom() | string() | term()
.br
Contents = [{Key, Value}] | term()
.br
actor() = term()
.br
.RE
.RS
.LP
Reports an event, such as a message\&.
.LP
These functions are intended to be invoked at strategic places in user applications in order to enable simplified tracing\&. The functions are extremely light weight as they do nothing besides returning an atom\&. These functions are designed for being traced\&. The global tracing mechanism in et_collector defaults to set its trace pattern to these functions\&.
.LP
The label is intended to provide a brief summary of the event\&. A simple tag would do\&.
.LP
The contents can be any term but in order to simplify post processing of the traced events, a plain list of {Key, Value} tuples is preferred\&.
.LP
Some events, such as messages, are directed from some actor to another\&. Other events (termed actions) may be undirected and only have one actor\&.
.RE
